#!/bin/bash
#
# RAM based temp storage directory
rbTmp=/run/shm
# Serial port speed
baudRate=9600
# Serial port
ttyPort=ttyAMA0
# debug log file.  Set to /dev/null to disable logging
logfile=xpwlog
# device name for the cloud post. Set to "" to disable post to dweet.io
if [ $# -ne 0 ]; then
	deviceName=$1
else
	deviceName=""
fi
#
function cleanExit()
{
	echo "Restoring inittab"
	if [ -f $rbTmp/inittab$$ ]; then
		cp $rbTmp/inittab$$ /etc/inittab
	fi
	echo "Restarting getty on $ttyPort"
	kill -HUP 1
	exit 0
}
#
trap cleanExit 1 2 3
#
echo "Backing up inittab"
cp /etc/inittab $rbTmp/inittab$$
echo "Changing inittab"
sed 's/^T0/#T0/' < /etc/inittab > $rbTmp/inittab1$$
cp $rbTmp/inittab1$$ /etc/inittab
echo "Stopping getty on $ttyPort"
kill -HUP 1
echo "Starting xPico Wi-Fi Pi Plate Demo on $ttyPort"
./mux.sh $baudRate $rbTmp $logfile $deviceName <> /dev/$ttyPort >&0
#
cleanExit
#
